List NHI clusters
curl --request GET \
--url https://eris.platform.total.truu.ai/api/v1/external/nhi/clusters \
--header 'X-API-Key: <api-key>'import requests
url = "https://eris.platform.total.truu.ai/api/v1/external/nhi/clusters"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://eris.platform.total.truu.ai/api/v1/external/nhi/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"cluster_kind": "<string>",
"parent_archetype": "<string>",
"parent_cohort_id": "<string>",
"status": "<string>",
"rationale": "<string>",
"risk_lens": "<string>",
"distinguishing_axes": [
"<string>"
],
"evidence_profile": {},
"directory_scorecard": {},
"run_id": "<string>",
"created_at": "<string>",
"member_count": 123,
"member_count_core": 123,
"member_count_probable": 123,
"member_count_adjacent": 123,
"updated_at": "<string>"
}
],
"next_cursor": "<string>",
"archetypes": [
{
"slug": "<string>",
"label": "<string>",
"description": "<string>",
"members": 123,
"cohorts": 123
}
],
"total_workloads": 123,
"last_updated": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"resource": "<string>",
"message": "<string>",
"details": "<string>",
"days_until_ready": 123,
"external_api_enabled_at_utc": "2023-11-07T05:31:56Z",
"now_utc": "2023-11-07T05:31:56Z"
}NHI
List NHI clusters
GET
/
nhi
/
clusters
List NHI clusters
Authorizations
Domain-scoped API key. Generate and manage keys from the API Keys page in Settings.
Accepted in two forms:
X-API-Key: <key>header (preferred)Authorization: Bearer <key>header (also accepted)
Query Parameters
Required range:
x <= 200Was this page helpful?

